services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false


  MediateSystems\MsRockarchive\Browser\RockarchiveContentBrowser:
    arguments:
      $iconFactory: '@TYPO3\CMS\Core\Imaging\IconFactory'
      $pageRenderer: '@TYPO3\CMS\Core\Page\PageRenderer'
      $uriBuilder: '@TYPO3\CMS\Backend\Routing\UriBuilder'
      $moduleTemplateFactory: '@TYPO3\CMS\Backend\Template\ModuleTemplateFactory'
    shared: false
    public: true

  MediateSystems\MsRockarchive\RecordList\RockarchiveContentElementBrowser:
    arguments:
      $iconFactory: '@TYPO3\CMS\Core\Imaging\IconFactory'
      $uriBuilder: '@TYPO3\CMS\Backend\Routing\UriBuilder'
      $translateTools: '@TYPO3\CMS\Backend\Configuration\TranslationConfigurationProvider'
      $eventDispatcher: '@Psr\EventDispatcher\EventDispatcherInterface'
    shared: false
    public: true